import React from "react";
import { FloatButton } from "antd";
import { CommentOutlined } from "@ant-design/icons";
import { DeepChat } from "deep-chat-react";
import { getUserSessionFromLocalStorage } from "core/utils/utils";

function AiChat() {
  const [visible, setVisible] = React.useState(false);

  return (
    <>
      {visible ? (
        <div
          style={{
            position: "fixed",
            bottom: 100,
            right: 10,
            zIndex: 10000,
            maxWidth: "95vw",
            width: 500,
            height: 1000,
            maxHeight: "calc(100vh - 165px)",
          }}
        >
          <DeepChat
            style={{
              width: "100%",
              height: "100%",
              borderRadius: 10,
              boxShadow: "0 0 10px rgba(0,0,0,0.1)",
              bottom: 0,
              position: "absolute",
            }}
            history={[{ text: "Stell mir Fragen :)", role: "ai" }]}
            connect={{
              url: "/api/chat/v1/prompt/",
              method: "POST",
              headers: {
                "X-Authorization": getUserSessionFromLocalStorage() || "",
              },
            }}
            onMessage={async (message) => {
              console.log("onMessagee", message);
            }}
          ></DeepChat>
        </div>
      ) : null}

      <FloatButton
        icon={<CommentOutlined />}
        type="primary"
        onClick={() => console.log("onClick")}
        style={{ zIndex: 10000 }}
        onClickCapture={() => {
          setVisible(!visible);
        }}
      />
    </>
  );
}

export default AiChat;
